databaseChangeLog:
  - changeSet:
      id: 1646818341589-1
      author: timobejan (generated)
      changes:
        - createTable:
            columns:
              - column:
                  constraints:
                    nullable: false
                    primaryKey: true
                  name: SCHED_NAME
                  type: VARCHAR(120)
              - column:
                  constraints:
                    nullable: false
                    primaryKey: true
                  name: TRIGGER_NAME
                  type: VARCHAR(200)
              - column:
                  constraints:
                    nullable: false
                    primaryKey: true
                  name: TRIGGER_GROUP
                  type: VARCHAR(200)
              - column:
                  name: BLOB_DATA
                  type: BYTEA
            tableName: QRTZ_BLOB_TRIGGERS
  - changeSet:
      id: 1646818341589-2
      author: timobejan (generated)
      changes:
        - createTable:
            columns:
              - column:
                  constraints:
                    nullable: false
                    primaryKey: true
                  name: SCHED_NAME
                  type: VARCHAR(120)
              - column:
                  constraints:
                    nullable: false
                    primaryKey: true
                  name: CALENDAR_NAME
                  type: VARCHAR(200)
              - column:
                  constraints:
                    nullable: false
                  name: CALENDAR
                  type: BYTEA
            tableName: QRTZ_CALENDARS
  - changeSet:
      id: 1646818341589-3
      author: timobejan (generated)
      changes:
        - createTable:
            columns:
              - column:
                  constraints:
                    nullable: false
                    primaryKey: true
                  name: SCHED_NAME
                  type: VARCHAR(120)
              - column:
                  constraints:
                    nullable: false
                    primaryKey: true
                  name: TRIGGER_NAME
                  type: VARCHAR(200)
              - column:
                  constraints:
                    nullable: false
                    primaryKey: true
                  name: TRIGGER_GROUP
                  type: VARCHAR(200)
              - column:
                  constraints:
                    nullable: false
                  name: CRON_EXPRESSION
                  type: VARCHAR(200)
              - column:
                  name: TIME_ZONE_ID
                  type: VARCHAR(80)
            tableName: QRTZ_CRON_TRIGGERS
  - changeSet:
      id: 1646818341589-4
      author: timobejan (generated)
      changes:
        - createTable:
            columns:
              - column:
                  constraints:
                    nullable: false
                    primaryKey: true
                  name: SCHED_NAME
                  type: VARCHAR(120)
              - column:
                  constraints:
                    nullable: false
                    primaryKey: true
                  name: ENTRY_ID
                  type: VARCHAR(95)
              - column:
                  constraints:
                    nullable: false
                  name: TRIGGER_NAME
                  type: VARCHAR(200)
              - column:
                  constraints:
                    nullable: false
                  name: TRIGGER_GROUP
                  type: VARCHAR(200)
              - column:
                  constraints:
                    nullable: false
                  name: INSTANCE_NAME
                  type: VARCHAR(200)
              - column:
                  constraints:
                    nullable: false
                  name: FIRED_TIME
                  type: BIGINT
              - column:
                  constraints:
                    nullable: false
                  name: SCHED_TIME
                  type: BIGINT
              - column:
                  constraints:
                    nullable: false
                  name: PRIORITY
                  type: INT
              - column:
                  constraints:
                    nullable: false
                  name: STATE
                  type: VARCHAR(16)
              - column:
                  name: JOB_NAME
                  type: VARCHAR(200)
              - column:
                  name: JOB_GROUP
                  type: VARCHAR(200)
              - column:
                  name: IS_NONCONCURRENT
                  type: BOOL
              - column:
                  name: REQUESTS_RECOVERY
                  type: BOOL
            tableName: QRTZ_FIRED_TRIGGERS
  - changeSet:
      id: 1646818341589-5
      author: timobejan (generated)
      changes:
        - createTable:
            columns:
              - column:
                  constraints:
                    nullable: false
                    primaryKey: true
                  name: SCHED_NAME
                  type: VARCHAR(120)
              - column:
                  constraints:
                    nullable: false
                    primaryKey: true
                  name: JOB_NAME
                  type: VARCHAR(200)
              - column:
                  constraints:
                    nullable: false
                    primaryKey: true
                  name: JOB_GROUP
                  type: VARCHAR(200)
              - column:
                  name: DESCRIPTION
                  type: VARCHAR(250)
              - column:
                  constraints:
                    nullable: false
                  name: JOB_CLASS_NAME
                  type: VARCHAR(250)
              - column:
                  constraints:
                    nullable: false
                  name: IS_DURABLE
                  type: BOOL
              - column:
                  constraints:
                    nullable: false
                  name: IS_NONCONCURRENT
                  type: BOOL
              - column:
                  constraints:
                    nullable: false
                  name: IS_UPDATE_DATA
                  type: BOOL
              - column:
                  constraints:
                    nullable: false
                  name: REQUESTS_RECOVERY
                  type: BOOL
              - column:
                  name: JOB_DATA
                  type: BYTEA
            tableName: QRTZ_JOB_DETAILS
  - changeSet:
      id: 1646818341589-6
      author: timobejan (generated)
      changes:
        - createTable:
            columns:
              - column:
                  constraints:
                    nullable: false
                    primaryKey: true
                  name: SCHED_NAME
                  type: VARCHAR(120)
              - column:
                  constraints:
                    nullable: false
                    primaryKey: true
                  name: LOCK_NAME
                  type: VARCHAR(40)
            tableName: QRTZ_LOCKS
  - changeSet:
      id: 1646818341589-7
      author: timobejan (generated)
      changes:
        - createTable:
            columns:
              - column:
                  constraints:
                    nullable: false
                    primaryKey: true
                  name: SCHED_NAME
                  type: VARCHAR(120)
              - column:
                  constraints:
                    nullable: false
                    primaryKey: true
                  name: TRIGGER_GROUP
                  type: VARCHAR(200)
            tableName: QRTZ_PAUSED_TRIGGER_GRPS
  - changeSet:
      id: 1646818341589-8
      author: timobejan (generated)
      changes:
        - createTable:
            columns:
              - column:
                  constraints:
                    nullable: false
                    primaryKey: true
                  name: SCHED_NAME
                  type: VARCHAR(120)
              - column:
                  constraints:
                    nullable: false
                    primaryKey: true
                  name: INSTANCE_NAME
                  type: VARCHAR(200)
              - column:
                  constraints:
                    nullable: false
                  name: LAST_CHECKIN_TIME
                  type: BIGINT
              - column:
                  constraints:
                    nullable: false
                  name: CHECKIN_INTERVAL
                  type: BIGINT
            tableName: QRTZ_SCHEDULER_STATE
  - changeSet:
      id: 1646818341589-9
      author: timobejan (generated)
      changes:
        - createTable:
            columns:
              - column:
                  constraints:
                    nullable: false
                    primaryKey: true
                  name: SCHED_NAME
                  type: VARCHAR(120)
              - column:
                  constraints:
                    nullable: false
                    primaryKey: true
                  name: TRIGGER_NAME
                  type: VARCHAR(200)
              - column:
                  constraints:
                    nullable: false
                    primaryKey: true
                  name: TRIGGER_GROUP
                  type: VARCHAR(200)
              - column:
                  constraints:
                    nullable: false
                  name: REPEAT_COUNT
                  type: BIGINT
              - column:
                  constraints:
                    nullable: false
                  name: REPEAT_INTERVAL
                  type: BIGINT
              - column:
                  constraints:
                    nullable: false
                  name: TIMES_TRIGGERED
                  type: BIGINT
            tableName: QRTZ_SIMPLE_TRIGGERS
  - changeSet:
      id: 1646818341589-10
      author: timobejan (generated)
      changes:
        - createTable:
            columns:
              - column:
                  constraints:
                    nullable: false
                    primaryKey: true
                  name: SCHED_NAME
                  type: VARCHAR(120)
              - column:
                  constraints:
                    nullable: false
                    primaryKey: true
                  name: TRIGGER_NAME
                  type: VARCHAR(200)
              - column:
                  constraints:
                    nullable: false
                    primaryKey: true
                  name: TRIGGER_GROUP
                  type: VARCHAR(200)
              - column:
                  name: STR_PROP_1
                  type: VARCHAR(512)
              - column:
                  name: STR_PROP_2
                  type: VARCHAR(512)
              - column:
                  name: STR_PROP_3
                  type: VARCHAR(512)
              - column:
                  name: INT_PROP_1
                  type: INT
              - column:
                  name: INT_PROP_2
                  type: INT
              - column:
                  name: LONG_PROP_1
                  type: BIGINT
              - column:
                  name: LONG_PROP_2
                  type: BIGINT
              - column:
                  name: DEC_PROP_1
                  type: DECIMAL(13, 4)
              - column:
                  name: DEC_PROP_2
                  type: DECIMAL(13, 4)
              - column:
                  name: BOOL_PROP_1
                  type: BOOL
              - column:
                  name: BOOL_PROP_2
                  type: BOOL
            tableName: QRTZ_SIMPROP_TRIGGERS
  - changeSet:
      id: 1646818341589-11
      author: timobejan (generated)
      changes:
        - createTable:
            columns:
              - column:
                  constraints:
                    nullable: false
                    primaryKey: true
                  name: SCHED_NAME
                  type: VARCHAR(120)
              - column:
                  constraints:
                    nullable: false
                    primaryKey: true
                  name: TRIGGER_NAME
                  type: VARCHAR(200)
              - column:
                  constraints:
                    nullable: false
                    primaryKey: true
                  name: TRIGGER_GROUP
                  type: VARCHAR(200)
              - column:
                  constraints:
                    nullable: false
                  name: JOB_NAME
                  type: VARCHAR(200)
              - column:
                  constraints:
                    nullable: false
                  name: JOB_GROUP
                  type: VARCHAR(200)
              - column:
                  name: DESCRIPTION
                  type: VARCHAR(250)
              - column:
                  name: NEXT_FIRE_TIME
                  type: BIGINT
              - column:
                  name: PREV_FIRE_TIME
                  type: BIGINT
              - column:
                  name: PRIORITY
                  type: INT
              - column:
                  constraints:
                    nullable: false
                  name: TRIGGER_STATE
                  type: VARCHAR(16)
              - column:
                  constraints:
                    nullable: false
                  name: TRIGGER_TYPE
                  type: VARCHAR(8)
              - column:
                  constraints:
                    nullable: false
                  name: START_TIME
                  type: BIGINT
              - column:
                  name: END_TIME
                  type: BIGINT
              - column:
                  name: CALENDAR_NAME
                  type: VARCHAR(200)
              - column:
                  name: MISFIRE_INSTR
                  type: SMALLINT
              - column:
                  name: JOB_DATA
                  type: BYTEA
            tableName: QRTZ_TRIGGERS
  - changeSet:
      id: 1646818341589-95
      author: timobejan (generated)
      changes:
        - createIndex:
            columns:
              - column:
                  name: SCHED_NAME
              - column:
                  name: JOB_NAME
              - column:
                  name: JOB_GROUP
            indexName: SCHED_NAME
            tableName: QRTZ_TRIGGERS
  - changeSet:
      id: 1646818341589-218
      author: timobejan (generated)
      changes:
        - addForeignKeyConstraint:
            baseColumnNames: SCHED_NAME,TRIGGER_NAME,TRIGGER_GROUP
            baseTableName: QRTZ_BLOB_TRIGGERS
            constraintName: QRTZ_BLOB_TRIGGERS_ibfk_1
            deferrable: false
            initiallyDeferred: false
            onDelete: RESTRICT
            onUpdate: RESTRICT
            referencedColumnNames: SCHED_NAME,TRIGGER_NAME,TRIGGER_GROUP
            referencedTableName: QRTZ_TRIGGERS
            validate: true
  - changeSet:
      id: 1646818341589-219
      author: timobejan (generated)
      changes:
        - addForeignKeyConstraint:
            baseColumnNames: SCHED_NAME,TRIGGER_NAME,TRIGGER_GROUP
            baseTableName: QRTZ_CRON_TRIGGERS
            constraintName: QRTZ_CRON_TRIGGERS_ibfk_1
            deferrable: false
            initiallyDeferred: false
            onDelete: RESTRICT
            onUpdate: RESTRICT
            referencedColumnNames: SCHED_NAME,TRIGGER_NAME,TRIGGER_GROUP
            referencedTableName: QRTZ_TRIGGERS
            validate: true
  - changeSet:
      id: 1646818341589-220
      author: timobejan (generated)
      changes:
        - addForeignKeyConstraint:
            baseColumnNames: SCHED_NAME,TRIGGER_NAME,TRIGGER_GROUP
            baseTableName: QRTZ_SIMPLE_TRIGGERS
            constraintName: QRTZ_SIMPLE_TRIGGERS_ibfk_1
            deferrable: false
            initiallyDeferred: false
            onDelete: RESTRICT
            onUpdate: RESTRICT
            referencedColumnNames: SCHED_NAME,TRIGGER_NAME,TRIGGER_GROUP
            referencedTableName: QRTZ_TRIGGERS
            validate: true
  - changeSet:
      id: 1646818341589-221
      author: timobejan (generated)
      changes:
        - addForeignKeyConstraint:
            baseColumnNames: SCHED_NAME,TRIGGER_NAME,TRIGGER_GROUP
            baseTableName: QRTZ_SIMPROP_TRIGGERS
            constraintName: QRTZ_SIMPROP_TRIGGERS_ibfk_1
            deferrable: false
            initiallyDeferred: false
            onDelete: RESTRICT
            onUpdate: RESTRICT
            referencedColumnNames: SCHED_NAME,TRIGGER_NAME,TRIGGER_GROUP
            referencedTableName: QRTZ_TRIGGERS
            validate: true
  - changeSet:
      id: 1646818341589-222
      author: timobejan (generated)
      changes:
        - addForeignKeyConstraint:
            baseColumnNames: SCHED_NAME,JOB_NAME,JOB_GROUP
            baseTableName: QRTZ_TRIGGERS
            constraintName: QRTZ_TRIGGERS_ibfk_1
            deferrable: false
            initiallyDeferred: false
            onDelete: RESTRICT
            onUpdate: RESTRICT
            referencedColumnNames: SCHED_NAME,JOB_NAME,JOB_GROUP
            referencedTableName: QRTZ_JOB_DETAILS
            validate: true
